/**
 * generated by Xtext 2.21.0
 */
package br.ufes.nemo.seon.ontoloyasservice.oaas;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Configuration</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntology <em>Ontology</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntologyShortName <em>Ontology Short Name</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getLevel <em>Level</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAbout <em>About</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getSoftware <em>Software</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor <em>Author</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor_email <em>Author email</em>}</li>
 *   <li>{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getRepository <em>Repository</em>}</li>
 * </ul>
 *
 * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration()
 * @model
 * @generated
 */
public interface Configuration extends EObject
{
  /**
   * Returns the value of the '<em><b>Ontology</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ontology</em>' containment reference.
   * @see #setOntology(Ontology)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_Ontology()
   * @model containment="true"
   * @generated
   */
  Ontology getOntology();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntology <em>Ontology</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ontology</em>' containment reference.
   * @see #getOntology()
   * @generated
   */
  void setOntology(Ontology value);

  /**
   * Returns the value of the '<em><b>Ontology Short Name</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ontology Short Name</em>' containment reference.
   * @see #setOntologyShortName(OntologyShortName)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_OntologyShortName()
   * @model containment="true"
   * @generated
   */
  OntologyShortName getOntologyShortName();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getOntologyShortName <em>Ontology Short Name</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ontology Short Name</em>' containment reference.
   * @see #getOntologyShortName()
   * @generated
   */
  void setOntologyShortName(OntologyShortName value);

  /**
   * Returns the value of the '<em><b>Level</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Level</em>' containment reference.
   * @see #setLevel(Level)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_Level()
   * @model containment="true"
   * @generated
   */
  Level getLevel();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getLevel <em>Level</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Level</em>' containment reference.
   * @see #getLevel()
   * @generated
   */
  void setLevel(Level value);

  /**
   * Returns the value of the '<em><b>About</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>About</em>' containment reference.
   * @see #setAbout(About)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_About()
   * @model containment="true"
   * @generated
   */
  About getAbout();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAbout <em>About</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>About</em>' containment reference.
   * @see #getAbout()
   * @generated
   */
  void setAbout(About value);

  /**
   * Returns the value of the '<em><b>Software</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Software</em>' containment reference.
   * @see #setSoftware(Software)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_Software()
   * @model containment="true"
   * @generated
   */
  Software getSoftware();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getSoftware <em>Software</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Software</em>' containment reference.
   * @see #getSoftware()
   * @generated
   */
  void setSoftware(Software value);

  /**
   * Returns the value of the '<em><b>Author</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Author</em>' containment reference.
   * @see #setAuthor(Author)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_Author()
   * @model containment="true"
   * @generated
   */
  Author getAuthor();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor <em>Author</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Author</em>' containment reference.
   * @see #getAuthor()
   * @generated
   */
  void setAuthor(Author value);

  /**
   * Returns the value of the '<em><b>Author email</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Author email</em>' containment reference.
   * @see #setAuthor_email(Author_Email)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_Author_email()
   * @model containment="true"
   * @generated
   */
  Author_Email getAuthor_email();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getAuthor_email <em>Author email</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Author email</em>' containment reference.
   * @see #getAuthor_email()
   * @generated
   */
  void setAuthor_email(Author_Email value);

  /**
   * Returns the value of the '<em><b>Repository</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Repository</em>' containment reference.
   * @see #setRepository(Repository)
   * @see br.ufes.nemo.seon.ontoloyasservice.oaas.OaasPackage#getConfiguration_Repository()
   * @model containment="true"
   * @generated
   */
  Repository getRepository();

  /**
   * Sets the value of the '{@link br.ufes.nemo.seon.ontoloyasservice.oaas.Configuration#getRepository <em>Repository</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Repository</em>' containment reference.
   * @see #getRepository()
   * @generated
   */
  void setRepository(Repository value);

} // Configuration
